
package de.ivu.elect.business.ergebnis.entity;

import javax.inject.Inject;
import javax.inject.Named;

import de.ivu.elect.jee.entity.Meta;
import de.ivu.elect.jee.faces.Messages;

/**
 * Textfragmente für Datensätze aus der Tabelle "Sitze". Zwei solche Datensätze sollte man nicht als "2 Sitze"
 * bezeichnen, sondern als "2 Sitzeergebnisse" o.ä..
 */
@Named
public class SitzergebnisMeta implements Meta {

  private static final long serialVersionUID = 1L;

  @Inject
  private Messages messages;

  @Override
  public String getMehrzahlMessageKey() {
    return "meta.mehrzahl.SITZERGEBNIS";
  }

  @Override
  public String getEinzahlMessageKey() {
    return "meta.einzahl.SITZERGEBNIS";
  }


  @Override
  public String getEinzahlMessage() {
    return getMessage(getEinzahlMessageKey());
  }

  @Override
  public String getMehrzahlMessage() {
    return getMessage(getMehrzahlMessageKey());
  }


  protected String getMessage(String msgKey, Object... params) {
    return messages.getMessageForMessageKey(msgKey, params);
  }
}
